メインコンテンツへスキップ
POST
/
runwayml
/
v1
/
character_performance
Create a Runway character-performance task
curl --request POST \
  --url https://api.cometapi.com/runwayml/v1/character_performance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Runway-Version: <x-runway-version>' \
  --data '
{
  "character": {
    "type": "video",
    "uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
  },
  "reference": {
    "type": "video",
    "uri": "https://filesystem.site/cdn/20250818/wAKbHUoj5EHyqZvEdJbFXn10wXBMUn.mp4"
  },
  "bodyControl": true,
  "expressionIntensity": 3,
  "seed": 4294967295,
  "model": "act_two",
  "ratio": "1280:720",
  "contentModeration": {
    "publicFigureThreshold": "auto"
  }
}
'
{
  "id": "<string>"
}
このエンドポイントを使用すると、参照クリップのパフォーマンスをキャラクター画像またはキャラクター動画に転送できます。

呼び出す前に

  • 必須の X-Runway-Version ヘッダーを送信します。例: 2024-11-06
  • model: act_two を使用します
  • アクセス可能な HTTPS URL として、character アセット 1 つと reference アセット 1 つを指定します
  • スタイルを調整する前に、まず bodyControl: true と適度な expressionIntensity から始めます

タスクの流れ

1

キャラクターパフォーマンスリクエストを送信

キャラクターアセット、参照アセット、およびモーション設定を使ってタスクを作成します。
2

返された task id を保存

返された id は後でポーリングに必要になるため、保持しておきます。
3

タスクステータスをポーリング

ラッパーが終了状態に達し、プロバイダーメタデータに完了した出力が含まれるまで、Get Task Details を続けます。

入力ロール

  • character はアニメーション化したい対象です
  • reference は表情のパフォーマンスまたは体の動きを提供する元のクリップです
  • bodyControl は、モーショントランスファーに表情転送に加えて体の動きも含めるかどうかを決定します
  • contentModeration は、リクエストにプロバイダーのモデレーションしきい値を適用します

承認

Authorization
string
header
必須

Bearer token authentication. Use your CometAPI key.

ヘッダー

X-Runway-Version
string
必須

Runway version header, for example 2024-11-06.

ボディ

application/json
character
object
必須

The character to control. You can either provide a video or an image.

reference
object
必須

Reference performance clip. Provide type (video) and uri (HTTPS URL).

bodyControl
boolean
デフォルト:true
必須

Enable body control.

expressionIntensity
integer
デフォルト:1
必須

Intensity of the expression transfer. Higher values produce more exaggerated expressions.

seed
integer
デフォルト:1
必須

Random seed for reproducible results.

model
string
デフォルト:act_two
必須

The model variant to use. Must be act_two.

ratio
string
デフォルト:1280:720
必須

Aspect ratio of the output video, e.g. 1280:720.

contentModeration
object
必須

レスポンス

200 - application/json

Task accepted.

id
string
必須